Create a comment for an entity and branch
curl --request POST \
--url https://api.korint.io/comments/{entityId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'tenant: <tenant>' \
--data '
{
"comment": "<string>"
}
'import requests
url = "https://api.korint.io/comments/{entityId}"
payload = { "comment": "<string>" }
headers = {
"tenant": "<tenant>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
tenant: '<tenant>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({comment: '<string>'})
};
fetch('https://api.korint.io/comments/{entityId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "<string>",
"id": "<string>"
}{
"code": "COMMENT_ALREADY_EXISTS",
"message": "Comment already exists for entity {entityId} and branch {branchId}",
"details": {}
}comments
Create a comment for an entity and branch
POST
/
comments
/
{entityId}
Create a comment for an entity and branch
Authorizations
oauth2bearerAuth
Machine-to-machine clients use the OAuth 2.0 client credentials grant. Each tenant has its own authorization server: in the token URL below, replace tenant with your tenant identifier.
Headers
Your tenant identifier. Requests without it are rejected.
Path Parameters
Id of the entity (policy, customer, branch, ...)
Query Parameters
Optional: the branchId
Pattern:
^branch(_test)?_[346789ABCDEFGHJKLMNPQRTUVWXYabcdefghijkmnpqrtwxyz]{21}$Body
application/json
Comment content
Maximum string length:
10000Was this page helpful?
⌘I

